
QGIS Application - Bug report #19092

Measure tool on a Mac uses the top right corner of the cross hair cursor instead of the centre

2018-06-02 01:49 AM - Paul Austin

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.0.3 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26922

Description

On a Mac (not sure about windows) the measure tool bases clicks off the top left corner of the cursor rather than he centre of the cross

hairs. This makes it difficult to select the points.

Related issues:

Related to QGIS Application - Bug report # 18806: Cursor is misaligned when d... Closed 2018-04-25

Associated revisions

Revision 4cc4bab9 - 2018-10-15 08:05 PM - Denis Rouzaud

[fix #19092] fix big cursors on Mac (#8152)

History

#1 - 2018-06-06 12:33 AM - Brendan Heberlein

This is not just an issue with the measure tool, but also with digitizing tools (e.g. add feature, reshape feature) on Mac OS X.

Related #18806

#2 - 2018-06-26 05:15 AM - Rhenriques Henriques

Paul Austin wrote:

On a Mac (not sure about windows) the measure tool bases clicks off the top left corner of the cursor rather than he centre of the cross hairs. This

makes it difficult to select the points.

Cursor is also too big. It is great in QGIS 2.18.

Editing is also a regression. Feels awkward to edit in 3.2. We need to press a node and then drag to move without pressing. Behavior needs to be move

while press and dragging.

#3 - 2018-06-26 05:49 AM - Nyall Dawson

Behavior needs to be move while press and dragging.

That's a "wontfix".
#4 - 2018-06-26 10:56 AM - Jürgen Fischer

- Related to Bug report #18806: Cursor is misaligned when drawing new vectors added

#5 - 2018-08-04 06:13 PM - Michal Jurewicz

The problem is still there on 3.2.1 version.

#6 - 2018-08-27 07:33 PM - Nathan Perry

Confirmed, still present on Mac in version 3.2.1. The problem cursor is also present during advanced digitizing operations, making it difficult to see the

small "X" vertex marker.

#7 - 2018-09-05 06:38 PM - Denis Rouzaud

- Category changed from Map Tools to mac_os_specific

#8 - 2018-10-15 08:05 PM - Denis Rouzaud

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|4cc4bab969772fc6508979166e5ab08afd0437f8.
